RI55 = {
    # word initial, medial
    'onset': {
        'b': ['พ', 'บ'],
        'ch': ['ช', 'ช'],
        'd': ['ท', 'ด'],
        'g': ['ค', 'ก'],
        'h': ['ฮ', 'ฮ'],
        'j': ['ช', 'จ'],
        'jj': ['จ', 'จ'],
        'k': ['ค', 'ค'],
        'kh': ['ค', 'ค'], # first is None
        'kk': ['ก', 'ก'],
        'm': ['ม', 'ม'],
        'n': ['น', 'น'],
        'p': ['พ', 'พ'],
        'ph': ['พ', 'พ'], # first is None
        'pp': ['ป', 'ป'],
        'r': ['ร', 'ร'],
        'l': ['ล', 'ล'], # first is None
        's': ['ซ', 'ซ'], # change to ช when vowel is อี or วี
        'ss': ['ซ', 'ซ'],
        't': ['ท', 'ท'],
        'th': ['ท', 'ท'], # first is None
        'tt': ['ต', 'ต']
    },
    'coda': {
        'p': 'บ',
        't': 'ด',
        'k': 'ก',
        'm': 'ม',
        'n': 'น',
        'ng': 'ง',
        'l': 'ล'
    },
    'vowel': {
        'a': ['อ', 'อา'],
        'ae': ['อ', 'แอ'],
        'e': ['อ', 'เอ'],
        'eo': ['อ', 'ออ'],
        'eu': ['อ', 'อือ'],
        'i': ['อ', 'อี'],
        'o': ['อ', 'โอ'],
        'u': ['อ', 'อู'],
        'oe': ['ว', 'เอ'],
        'ui': ['อ', 'อึย'], # can change to อี
        'wa': ['ว', 'อา'],
        'wae': ['ว', 'แอ'],
        'we': ['ว', 'เอ'], #
        'wi': ['ว', 'อี'],
        'wo': ['ว', 'ออ'],
        'ya': ['ย', 'อา'],
        'yae': ['ย', 'แอ'], #
        'ye': ['ย', 'เอ'],
        'yeo': ['ย', 'ออ'],
        'yo': ['ย', 'โอ'],
        'yu': ['ย', 'อู'],
    }
}