RI55 = {
    'onset': {
        'b': 'บ', # บา บ่า บ๋า บ๊า | บัก บัก บัก บั๊ก 1
        'c': 'ก',
        'ch': 'จ',
        'd': 'ซ', # ซา ส่า สา ซ้า | ซัก สัก สัก ซัก | ซาก สาก สาก ซ้าก 2
        'đ': 'ด',
        'g': 'ก',
        'gh': 'ก',
        'gi': 'ซ',
        'h': 'ฮ',
        'k': 'ก',
        'kh': 'ค',
        'l': 'ล',
        'm': 'ม', # มา หม่า หมา ม้า | มัก หมัก หมัก มัก 3
        'n': 'น',
        'ng': 'ง',
        'ngh': 'ง',
        'nh': 'ญ',
        'ph': 'ฟ',
        'qu': 'กว',
        'r': 'ซ',
        's': 'ซ',
        't': 'ต',
        'th': 'ท',
        'tr': 'จ',
        'v': 'ว',
        'x': 'ซ',
        '': 'อ'
    },
    'coda': {
        'c': 'ก',
        'ch': 'ก',
        'm': 'ม',
        'n': 'น',
        'ng': 'ง',
        'nh': 'ญ',
        'p': 'ป',
        't': 'ต',
        '': ''
    },
    'vowel': {
        'a': ['อ', 'อา'],
        'ă': ['อ', 'อะ'],
        'â': ['อ', 'เออ'],
        'e': ['อ', 'แอ'],
        'ê': ['อ', 'เอ'],
        'i': ['อ', 'อี'],
        'o': ['อ', 'ออ'],
        'oo': ['อ', 'ออ'],
        'ô': ['อ', 'โอ'],
        'ôô': ['อ', 'โอ'],
        'ơ': ['อ', 'เออ'],
        'u': ['อ', 'อู'],
        'ư': ['อ', 'อือ'],
        'y': ['อ', 'อี'],
        'ai': ['อ', 'อาย'],
        'ao': ['อ', 'อาว'],
        'au': ['อ', 'เอา'],
        'âu': ['อ', 'เอิว'],
        'ay': ['อ', 'อัย'],
        'ây': ['อ', 'เอ็ย'],
        'eo': ['อ', 'แอว'],
        'êu': ['อ', 'เอว'],
        'ia': ['อ', 'เอีย'],
        'iê': ['อ', 'เอีย'],
        'iu': ['อ', 'อีว'],
        'oa': ['ว', 'อา'],
        'oă': ['ว', 'อะ'],
        'oe': ['ว', 'แอ'],
        'oi': ['อ', 'ออย'],
        'ôi': ['อ', 'โอย'],
        'ơi': ['อ', 'เอย'],
        'ua': ['อ', 'อัว'],
        'ưa': ['อ', 'เอือ'],
        'uâ': ['อ', 'อัว'],
        'uê': ['ว', 'เอ'],
        'ui': ['อ', 'อูย'],
        'ưi': ['อ', 'อืย'],
        'uô': ['อ', 'อัว'],
        'uơ': ['อ', 'อัว'],
        'ươ': ['อ', 'เอือ'],
        'ưu': ['อ', 'อืว'],
        'uy': ['ว', 'อี'],
        'iêu': ['อ', 'เอียว'],
        'yêu': ['อ', 'เอียว'],
        'oai': ['ว', 'อาย'],
        'oao': ['ว', 'อาว'],
        'oay': ['ว', 'อัย'],
        'uây': ['ว', 'เอ็ย'],
        'uôi': ['อ', 'อวย'],
        'uya': ['ว', 'เอีย'],
        'uyê': ['ว', 'เอีย'],
        'uyu': ['ว', 'อีว'],
        'ươi': ['อ', 'เอือย'],
        'ươu': ['อ', 'เอือว'],
        'yê': ['อ', 'เอีย'], # not in royal ins
    },
    'tone': {
        # [Thai tone, shorten?]
        # no marker: [0, False] # ngang
        u'\u0300': [1, False], # huyền
        u'\u0303': [4, False], # ngã
        u'\u0309': [4, False], # hỏi
        u'\u0301': [3, False], # sắc
        u'\u0323': [1, True] # nặng
    }
}